package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.CmsArticle;
import org.apache.ibatis.annotations.Mapper;

/** 内容文章 Mapper */
@Mapper
public interface CmsArticleMapper {
    /**
     * 查询内容文章列表
     *
     * @param cmsArticle 查询条件
     * @return 内容文章列表
     */
    public List<CmsArticle> selectCmsArticleList(CmsArticle cmsArticle);

    /**
     * 通过文章ID查询内容文章
     *
     * @param aid 文章ID
     * @return 内容文章
     */
    public CmsArticle selectCmsArticleById(String aid);

    /**
     * 通过文章ID删除内容文章
     *
     * @param aid 文章ID
     * @return 影响行数
     */
    public int deleteCmsArticleById(String aid);

    /**
     * 批量删除内容文章
     *
     * @param aids 文章ID数组
     * @return 影响行数
     */
    public int deleteCmsArticleByIds(String[] aids);

    /**
     * 修改内容文章
     *
     * @param cmsArticle 内容文章
     * @return 影响行数
     */
    public int updateCmsArticle(CmsArticle cmsArticle);

    /**
     * 新增内容文章
     *
     * @param cmsArticle 内容文章
     * @return 影响行数
     */
    public int insertCmsArticle(CmsArticle cmsArticle);

    /**
     * 批量新增内容文章
     *
     * @param list 内容文章列表
     * @return 影响行数
     */
    public int batchInsert(List<CmsArticle> list);

    /**
     * 批量修改内容文章
     *
     * @param list 内容文章列表
     * @return 影响行数
     */
    public int batchUpdate(List<CmsArticle> list);

    /**
     * 获取今日发布文章数
     *
     * @return 发布数
     */
    public int selectTodayPublishedCount();
}
